classification
Title: PEP 442 implementation
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes, haypo, isoschiz, pconnell, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-05-31 23:35 by pitrou, last changed 2013-07-30 18:04 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
39731f1d2d38.diff pitrou, 2013-07-01 19:58 review
f5ddbd98c2bf.diff pitrou, 2013-07-12 21:56 review
050c6d089164.diff pitrou, 2013-07-28 18:32 review
Repositories containing patches
http://hg.python.org/features/finalize/#finalize
Messages (8)
msg191219 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-06-15 18:26
Here is the patch implementing PEP 442.
msg192146 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-01 19:59
Updated patch.
msg192974 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-12 21:59
Updated patch (again).
msg192981 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-07-12 23:28
Sorry for taking forever. I got half-way through version 1, but now I suppose I'm terribly behind the latest and greatest.
msg193810 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-07-28 06:42
Modulo earlier comments, I think it looks good to land.
msg193836 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-28 18:33
Updated patch with the suggested changes, apart from a couple stylistic ones (waiting for your answer on these ones).
msg193942 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-30 18:01
New changeset 3f994367a979 by Antoine Pitrou in branch 'default':
Issue #18112: PEP 442 implementation (safe object finalization).
http://hg.python.org/cpython/rev/3f994367a979
msg193943 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-07-30 18:04
Committed with a couple further doc changes!
History
Date User Action Args
2013-07-30 18:04:11pitrousetstatus: open -> closed
resolution: fixed
messages: + msg193943

stage: patch review -> resolved
2013-07-30 18:01:04python-devsetnosy: + python-dev
messages: + msg193942
2013-07-28 18:33:42pitrousetmessages: + msg193836
2013-07-28 18:32:46pitrousetfiles: + 050c6d089164.diff
2013-07-28 06:42:40benjamin.petersonsetmessages: + msg193810
2013-07-28 00:03:17hayposetnosy: + haypo
2013-07-27 20:45:41christian.heimessetnosy: + christian.heimes
2013-07-12 23:28:42benjamin.petersonsetmessages: + msg192981
2013-07-12 21:59:10pitrousetmessages: + msg192974
2013-07-12 21:56:10pitrousetfiles: + f5ddbd98c2bf.diff
2013-07-01 19:59:08pitrousetmessages: + msg192146
2013-07-01 19:58:57pitrousetfiles: + 39731f1d2d38.diff
2013-07-01 19:58:31pitrousetfiles: - 1d47c88412ac.diff
2013-06-18 19:04:48pitroulinkissue17934 dependencies
2013-06-15 18:26:04pitrousetnosy: + benjamin.peterson
messages: + msg191219
2013-06-15 18:21:10pitrousetfiles: + 1d47c88412ac.diff
2013-06-15 18:20:46pitrousetfiles: - 19fd6ab59bbb.diff
2013-06-15 18:12:46pitrousetfiles: + 19fd6ab59bbb.diff
keywords: + patch
2013-06-08 09:31:47pconnellsetnosy: + pconnell, isoschiz
2013-05-31 23:35:53pitroucreate